[lsb-discuss] Motif and LSB

Wichmann, Mats D mats.d.wichmann at intel.com
Wed Nov 22 11:51:15 PST 2006


>How many software packages require Motif in any case?
>
>Looking at all the packages in the OpenPKG portable packaging
>system that require lesstif, there are very few:
>
>	ddd -- graphical front end to gdb, perl, etc.
>	mgv -- a Motif based PostScript viewer
>	xpdf -- an open source viewer for PDF files.

Older versions of xpdf didn't use Motif, it's interesting
that it grew this extra requirement relatively recently
(this is why the LSB application battery xpdf is still
stuck on a quite old version).

Anyway, as a partial answer to this question, here's
the snip from the Fedora announcement from early October
that OpenMotif was being removed:

===
Currently, the following packages in Core and Extras contain 
runtime or build time dependencies on openmotif:

    * cmucl
    * ddd
    * geomview
    * gpsd
    * grace
    * Inventor
    * mesa-libGLw
    * nedit
    * xlockmore
    * xpdf
===

Of those, nedit is the one known not to work well with
lesstif.

However, I think we all know that the real issue is that
commercial apps (as well as some open source ones) coming
over from the Unix world are the primary users, so
the above list isn't really reflective of much.




More information about the lsb-discuss mailing list